Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class AttributeTable

    java.lang.Object
      org.bouncycastle.asn1.cms.AttributeTable

    public class AttributeTable

extends java.lang.Object

Constructor Summary
`AttributeTable(ASN1Set s)`
`AttributeTable(DEREncodableVector v)`
`AttributeTable(java.util.Hashtable attrs)`

Method Summary
`Attribute` `get(DERObjectIdentifier oid)` Return the first attribute matching the OBJECT IDENTIFIER oid.
`ASN1EncodableVector` `getAll(DERObjectIdentifier oid)` Return all the attributes matching the OBJECT IDENTIFIER oid.
`ASN1EncodableVector` `toASN1EncodableVector()`
`java.util.Hashtable` `toHashtable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTable

    public AttributeTable(java.util.Hashtable attrs)

### AttributeTable

    public AttributeTable(DEREncodableVector v)

### AttributeTable

    public AttributeTable(ASN1Set s)

Method Detail

### get

    public Attribute get(DERObjectIdentifier oid)

  Return the first attribute matching the OBJECT IDENTIFIER oid.

  Parameters:
    `oid` - type of attribute required.
  Returns:
    first attribute found of type oid.

### getAll

    public ASN1EncodableVector getAll(DERObjectIdentifier oid)

  Return all the attributes matching the OBJECT IDENTIFIER oid. The vector will be empty if there are no attributes of the required type present.

  Parameters:
    `oid` - type of attribute required.
  Returns:
    a vector of all the attributes found of type oid.

### toHashtable

    public java.util.Hashtable toHashtable()

### toASN1EncodableVector

    public ASN1EncodableVector toASN1EncodableVector()

Bouncy Castle Cryptography Library 1.45